# Class SamConstants

java.lang.Object
htsjdk.samtools.util.SamConstants

public final class SamConstants extends Object
A set of constants defined in the sam-spec (https://github.com/samtools/hts-specs) that need to be referenced in code.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`BARCODE_QUALITY_DELIMITER`
The recommend separator to use when specifying multiple barcode quality scores together in the same tag.
`static final String`
`BARCODE_SEQUENCE_DELIMITER`
The recommended separator to use when specifying multiple barcodes together in the same tag.

## Method Summary

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### BARCODE_SEQUENCE_DELIMITER

public static final String BARCODE_SEQUENCE_DELIMITER
The recommended separator to use when specifying multiple barcodes together in the same tag.

See Also:
  - Constant Field Values

### BARCODE_QUALITY_DELIMITER

public static final String BARCODE_QUALITY_DELIMITER
The recommend separator to use when specifying multiple barcode quality scores together in the same tag.

See Also:
  - Constant Field Values